submodules: Update shared-modules

This fixes an issue with the lua 5.4 module

See: https://github.com/flathub/shared-modules/commit/7cffa811a99ca094254061a1e446e549fe144869
3 jobs for wip/jfelder/shared-modules-fix in 4 minutes and 55 seconds (queued for 1 second)